/* Soubor je ulozen v kodovani UTF-8.
 * Kontrola kódování: Příliš žluťoučký kůň úpěl ďábelské ódy.
 */
package cz.pecinovsky.english.pojj.adv_framework.test_util.default_game.data;



/*******************************************************************************
 * Třída {@code DataPkg} slouží pouze k lokalizaci složky/balíčku,
 * kde jsou umístěna všechna data aplikace.
 * Třída neobsahuje žádné atributy ani metody, je to opravdu jen lokátor dat.
 * Je definována jako samostatná třída proto, aby mohla sloužit jako kotva,
 * se kterou se při jakýchkoliv následných změnách ve struktuře aplikace nehýbá.
 * Kdybychom k tomuto účelu použili jinou třídu, mohli bychom se ji později
 * rozhodnout přesunout a přitom zapomenout, že má vedlejší význam kotvy.
 *
 * @author    Rudolf PECINOVSKÝ
 * @version   0.00.000
 */
public class DataPkg
{
//== KONSTANTNÍ ATRIBUTY TŘÍDY =================================================
//== PROMĚNNÉ ATRIBUTY TŘÍDY ===================================================
//== STATICKÝ INICIALIZAČNÍ BLOK - STATICKÝ KONSTRUKTOR ========================
//== KONSTANTNÍ ATRIBUTY INSTANCÍ ==============================================
//== PROMĚNNÉ ATRIBUTY INSTANCÍ ================================================
//== PŘÍSTUPOVÉ METODY VLASTNOSTÍ TŘÍDY ========================================
//== OSTATNÍ NESOUKROMÉ METODY TŘÍDY ===========================================

//##############################################################################
//== KONSTRUKTORY A TOVÁRNÍ METODY =============================================

    /** Soukromý konstruktor zabraňující vytvoření instance.*/
    private DataPkg() {}



//== ABSTRAKTNÍ METODY =========================================================
//== PŘÍSTUPOVÉ METODY VLASTNOSTÍ INSTANCÍ =====================================
//== OSTATNÍ NESOUKROMÉ METODY INSTANCÍ ========================================
//== SOUKROMÉ A POMOCNÉ METODY TŘÍDY ===========================================
//== SOUKROMÉ A POMOCNÉ METODY INSTANCÍ ========================================
//== INTERNÍ DATOVÉ TYPY =======================================================
//== TESTY A METODA MAIN =======================================================
//
//    /***************************************************************************
//     * Testovací metoda.
//     */
//    public static void test()
//    {
//        DataPkg inst = new DataPkg();
//    }
//    /** @param args Parametry příkazového řádku - nepoužívané. */
//    public static void main( String[] args )  {  test();  }
}
