/* Soubor je ulozen v kodovani UTF-8.
 * Kontrola kódování: Příliš žluťoučký kůň úpěl ďábelské ódy.
 */
package cz.pecinovsky.english.pojj.adv_framework.game_txt;

import java.util.Collection;



/*******************************************************************************
 * Instance rozhraní {@code IBag} představují úložiště, do nichž si hráči
 * odkládají sebrané předměty či jejch ekvivalenty.
 *
 * @author    Rudolf PECINOVSKÝ
 * @version   5.0
 */
public interface IBag extends IObjectContainer
{
//== VEŘEJNÉ KONSTANTY =========================================================
//== DEKLAROVANÉ METODY ========================================================

    /***************************************************************************
     * Vrátí kapacitu batohu, tj. kolik objektů se do něj vejde.
     *
     * @return Kapacita batohu
     */
//    @Override
    public int getCapacity();



//== ZDĚDĚNÉ METODY ============================================================

    /***************************************************************************
     * Vrátí kolekci objektů uložených v batohu.
     *
     * @return Kolekce objektů v batohu
     */
    @Override
    public Collection<? extends IObject> getObjects();



//== INTERNÍ DATOVÉ TYPY =======================================================
}
