package cz.pecinovsky.english.pojj.adv_framework.test_util.default_game.hra;



/*******************************************************************************
 * Třída {@code Stav} slouží jako schránka na informace o stavech,
 * které nelze jednoduše uložit v nějaké instanci, tj. na stavy,
 * které jeden příkaz nastaví a druhý zjišťuje a třída, pro jejíž instanci
 * se stav nastavuje, s takovouto možností obecně nepočítá.
 *
 * @author    Rudolf PECINOVSKÝ
 * @version   0.00.000
 */
public class Stav
{
//== KONSTANTNÍ ATRIBUTY TŘÍDY =================================================
//== PROMĚNNÉ ATRIBUTY TŘÍDY ===================================================

    /** Příznak toho, že uživatel má nasazeny brýále, a může proto číst. */
    static boolean BRYLE_NASAZENY = false;

//    static boolean LEDNICKA_OTEVRENA = false;
    //Nepotřebuji, protože když je otevřena, jsem v ledničce,
    //a když nejsem v ledničce, tak je zavřena.

    static boolean LEDNICKA_PODLOZENA = false;

    /** Příznak toho, že uživatel rozmlouvá s inteligentní ledničkou. */
    static boolean ROZHOVOR = false;



//== KONSTANTNÍ ATRIBUTY INSTANCÍ ==============================================
//== PROMĚNNÉ ATRIBUTY INSTANCÍ ================================================
//== PŘÍSTUPOVÉ METODY VLASTNOSTÍ TŘÍDY ========================================
//== OSTATNÍ NESOUKROMÉ METODY TŘÍDY ===========================================

//##############################################################################
//== KONSTRUKTORY A TOVÁRNÍ METODY =============================================

    /** Soukromý konstruktor bránící vytvoření instancí. */
    private Stav()  {/**/}



//== ABSTRAKTNÍ METODY =========================================================
//== PŘÍSTUPOVÉ METODY VLASTNOSTÍ INSTANCÍ =====================================
//== OSTATNÍ NESOUKROMÉ METODY INSTANCÍ ========================================
//== SOUKROMÉ A POMOCNÉ METODY TŘÍDY ===========================================
//== SOUKROMÉ A POMOCNÉ METODY INSTANCÍ ========================================
//== INTERNÍ DATOVÉ TYPY =======================================================
//== TESTY A METODA MAIN =======================================================
//
//    /***************************************************************************
//     * Testovací metoda.
//     */
//    public static void test()
//    {
//        Stav inst = new Stav();
//    }
//    /** @param args Parametry příkazového řádku - nepoužívané. */
//    public static void main( String[] args )  {  test();  }
}
